
public class Dino {
	
	private int height;
	private int weight;
	private int speed;
	private char diet;
	private String name;
	
	// default constructor
	public Dino() {
		super();
		this.height = 0;
		this.weight = 0;
		this.speed = 0;
		this.diet = 'M';
		this.name = "Dino";
	}

	public Dino(int height, int weight, char diet) {
		super();
		this.height = height;
		this.weight = weight;
		this.diet = diet;
	}

	public Dino(int speed, String name) {
		super();
		this.speed = speed;
		this.name = name;
	}

	// constructor to set all five fields
	public Dino(int height, int weight, int speed, char diet, String name) {
		super();
		this.height = height;
		this.weight = weight;
		this.speed = speed;
		this.diet = diet;
		this.name = name;
	}
	
	
	public int getHeight() {
		return height;
	}
	public void setHeight(int height) {
		this.height = height;
	}
	public int getWeight() {
		return weight;
	}
	public void setWeight(int weight) {
		this.weight = weight;
	}
	public int getSpeed() {
		return speed;
	}
	public void setSpeed(int speed) {
		this.speed = speed;
	}
	public char getDiet() {
		return diet;
	}
	public void setDiet(char diet) {
		this.diet = diet;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	
	public void eat()
	{
	  System.out.println(this.name + " is eating...");
	}

    public void move()
    {
    	  System.out.println(this.name + " is moving...");
    }

    public void sleep()
    {
      System.out.println(this.name + " is sleeping...");
    }
    
    public void walk()
    {
      System.out.println(this.name + " is Walking...");
    }
 
}
